
def get_user_details(user_id, session):
    """
    Fetches user details from an OAuth2 provider using Authlib.

    Args:
        user_id (str): The user ID to fetch details for.
        session (authlib.integrations.oauth2.Session): An OAuth2 session object.

    Returns:
        dict: A dictionary containing user details.
    """
    token = session.get_token()
    details = session.provider.users.get(user_id, token=token)
    return details

# JSON representation of the code
